rootProject.name = "alert-api"

pluginManagement {
	// NOTE: Repository configuration may migrate to local settings.
    repositories {
        maven("https://artifactory-re.bit9.local:443/artifactory/gradle-plugins")
        maven("https://artifactory-re.bit9.local:443/artifactory/gradle-plugins-cache")
        maven("https://artifactory-re.bit9.local:443/artifactory/plugins-release-local")
        maven("https://artifactory-re.bit9.local:443/artifactory/plugins-release")
        maven("https://artifactory-re.bit9.local:443/artifactory/java-all-virtual")
    }

    // We define plugin versions here, in case you ever need to create a
    // multi-module project.
    plugins {
        id("cb-artifactory-conventions") version "2.0.2"
        id("com.carbonblack.plugins.versioning") version "2.1.1"
        id("com.diffplug.spotless") version "6.20.0"
        id("org.asciidoctor.jvm.convert") version "3.3.2"
        id("io.freefair.lombok") version "6.6.2"
        id("net.ossindex.audit") version "0.4.11"
        id("org.barfuin.gradle.jacocolog") version "3.1.0"
        id("com.adarshr.test-logger") version "4.0.0"
        id("org.springframework.boot") version "3.2.2"
    }
}
